/* style.css */
/* Font */
@import url('https://fonts.googleapis.com/css2?family=Alfa+Slab+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;700&display=swap');

/* Global Styles */
body {
    font-family: 'Open Sans', sans-serif;
    color: #333;
    background-color: #f9f9f9;
    margin: 0;
    padding: 0;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Alfa Slab One', cursive;
    color: #0073e6;
}

a {
    color: white;
    text-decoration: none;
}

a:hover {
    color: yellow;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
}

/* Navbar */
.navbar {
    background-color: #0073e6;
    padding: 10px;
}

a.navbar-brand img  {
    width: 70%;
}

.navbar-brand {
    color: #fff;
}

.navbar-nav .nav-link {
    color: #fff;
    margin-right: 15px;
}

.navbar-nav .nav-link:hover {
    color: #f9f9f9;
}

/* Header */
.header {
    background: url('assets/images/banner/box2.png') no-repeat center center/cover;
    color: #fff;
    text-align: center;
    padding: 100px 0;
    position: relative;
}
.header::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.5);
}

.header h1 {
    font-size: 3rem;
    margin: 0;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
    position: relative;
    z-index: 1;
}

.header p {
    font-size: 1.5rem;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
    position: relative;
    z-index: 1;
}

/* Sections */
.section-header {
    text-align: center;
    margin-bottom: 50px;
}

.section-header h2 {
    font-size: 2.5rem;
    color: #333;
    position: relative;
    display: inline-block;
}

.section-header h2::after {
    content: '';
    width: 50px;
    height: 5px;
    background: #0073e6;
    position: absolute;
    bottom: -10px;
    left: 50%;
    transform: translateX(-50%);
    border-radius: 2px;
}

/* Collection Section */
.collection-content ul {
    list-style-type: none;
    padding: 0;
}

.collection-content ul li {
    background: #f1f1f1;
    margin: 10px 0;
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.collection-content ul li strong {
    font-weight: bold;
}

.collection-content button {
    background-color: #0073e6;
    color: #fff;
    border: none;
    padding: 10px 20px;
    font-size: 1.2em;
    cursor: pointer;
    border-radius: 5px;
    transition: background-color 0.3s;
}

.collection-content button:hover {
    background-color: #005bb5;
}

/* Video Tutorial Section */
#video-tutorial video {
    width: 100%;
    border-radius: 10px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

/* FAQ Section */
#faq-content .faq-item {
    margin: 20px 0;
    background: #fff;
    padding: 15px;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

#faq-content .faq-item h3 {
    margin: 0;
    font-size: 1.5rem;
}

#faq-content .faq-item p {
    margin: 10px 0 0 0;
}

#search-faq {
    width: 100%;
    padding: 10px;
    margin-bottom: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

/* Footer */
.footer {
    background-color: #0073e6;
    color: white;
    text-align: center;
    padding: 20px 0;
    box-shadow: 0 -2px 4px rgba(0, 0, 0, 0.1);
}/* Call to Action Button */
.cta-button {
    margin-top: 20px;
    font-size: 1.2em;
}

/* Testimonials Section */
#testimonials .row blockquote {
    background: #f1f1f1;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    margin: 10px 0;
}

#testimonials .row blockquote p {
    font-size: 1rem;
    margin-bottom: 10px;
}

#testimonials .row blockquote cite {
    font-weight: bold;
    color: #0073e6;
}


.cards-container {
    display: flex;
    justify-content: center;
    gap: 20px;
    padding: 20px;
}

.card {
    position: relative;
}

.card-img {
    width: 90%; /* Dimensioni medie delle carte */
    height: auto;
    display: block;
}

.card::after {
    content: '';
    display: block;
    width: 90%;
    height: 30%; /* Riflette solo la metà inferiore */
    background: inherit;
    background-position: bottom;
    transform: scaleY(-1);
    position: absolute;
    top: 100%;
    left: 0;
    opacity: 0.5;
    filter: blur(2px);
    mask-image: linear-gradient(to bottom, rgba(255, 255, 255, 1), rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0));
    -webkit-mask-image: linear-gradient(to bottom, rgba(255, 255, 255, 0), rgba(255, 255, 255, -2), rgba(255, 255, 255, 5));
}


/* Per ogni immagine, specifica la background-image corretta */
.card:nth-child(1)::after {
    background-image: url(assets/images/collection/buona_pesca.png);
}

.card:nth-child(2)::after {
    background-image: url(assets/images/collection/temporale.png);
}

.card:nth-child(3)::after {
    background-image: url(assets/images/collection/PESCE3.png);
}

.card:nth-child(4)::after {
    background-image: url(assets/images/collection/barca.png);
}

.card:nth-child(5)::after {
    background-image: url(assets/images/collection/PESCA5.png);
}

.card:nth-child(6)::after {
    background-image: url(assets/images/collection/PESCA10.png);
}

.card:nth-child(7)::after {
    background-image: url(assets/images/collection/PESCE2.png);
}

.card:nth-child(8)::after {
    background-image: url(assets/images/collection/BONUS1.png);
}

.card:nth-child(9)::after {
    background-image: url(assets/images/collection/PESCA8.png);
}

.card:nth-child(10)::after {
    background-image: url(assets/images/collection/PESCA2.png);
}

.card:nth-child(11)::after {
    background-image: url(assets/images/collection/BONUS2.png);
}

#back-to-top {
            position: fixed;
            bottom: 20px;
            right: 20px;
            display: none;
            background-color: #0073e6;
            color: white;
            border: none;
            padding: 10px 20px;
            border-radius: 5px;
            cursor: pointer;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        }

        #back-to-top:hover {
            background-color: #005bb5;
}

/* Button */
.cta-button {
    background-color: #0073e6;
    border: none;
    color: white;
    padding: 10px 20px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 1rem;
    margin: 20px 2px;
    cursor: pointer;
    border-radius: 5px;
    transition: background-color 0.3s;
    position: relative;
    z-index: 1;
}

.cta-button:hover {
    background-color: #cc7a00;
}

